package vip.xiaonuo.production.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionEnergyPrice;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionPageParam;

import java.util.Map;

/**
 * <p>
 * 能耗单价表填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
public interface IProductionEnergyPriceService extends IService<ProductionEnergyPrice> {

    CommonResult addAndEdit(ProductionEnergyPrice energyPrice);

    CommonResult update(ProductionEnergyPrice energyPrice);

    CommonResult delete(Map<String,String> paramsMap);

    Page<ProductionEnergyPrice> page(ProductionPageParam pageParam);

}
